AllCops:
    NewCops: enable
    TargetRubyVersion: 2.6

Style/ClassVars:
    Enabled: false

Style/Documentation:
    Enabled: false

Layout/IndentationWidth:
    Width: 4

Layout/LineLength:
    Max: 89
    AutoCorrect: true

Metrics/AbcSize:
    Max: 30

Metrics/ClassLength:
    Enabled: false

Metrics/CyclomaticComplexity:
    Max: 10

Metrics/MethodLength:
    Max: 50

Metrics/PerceivedComplexity:
    Max: 10

Naming/AsciiIdentifiers:
    Enabled: false

Naming/VariableNumber:
    CheckMethodNames: false

Style/AsciiComments:
    Enabled: false

Style/FrozenStringLiteralComment:
    EnforcedStyle: never

Lint/MixedRegexpCaptureTypes:
    Enabled: false
